package ru.ulstu.configuration;

public class Constants {
    public static final String API_1_0 = "/api/1.0/";

    public static final String MAIL_ACTIVATE = "Account activation";
    public static final String MAIL_RESET = "Password reset";
    public static final int MIN_PASSWORD_LENGTH = 6;

    public static final String LOGIN_REGEX = "^[_'.@A-Za-z0-9-]*$";

    public static final String COOKIES_NAME = "JSESSIONID";
    public static final String LOGOUT_URL = "/login?logout";
    public static final String SESSION_ID_ATTR = "sessionId";
    public static final int SESSION_TIMEOUT_SECONDS = 30 * 60;

    public static final String PASSWORD_RESET_REQUEST_PAGE = "/resetRequest";
    public static final String PASSWORD_RESET_PAGE = "/reset";

}